<?php
/**
 * @package J2Store
 * @copyright Copyright (c)2014-17 Ramesh Elamathi / J2Store.org
 * @license GNU GPL v3 or later
 */

// No direct access
defined('_JEXEC') or die;

?>
<style>
.j2store-bs .modal{
	position: absolute;
}
.j2storeRegenerateVariant{
	margin-top:100px;
    -moz-border-radius: 0 0 8px 8px;
    -webkit-border-radius: 0 0 8px 8px;
    border-radius: 0 0 8px 8px;
    border-width: 0 8px 8px 8px;
    border:1px solid #000000;
}

.j2storeRegenerateVariant .modal-header{
	border:1px solid #faa732;
	background-color:#faa732;
}
</style>
<div class="j2store-product-variants">
	<div class="form-group">
		<?php echo J2Html::label(JText::_('J2STORE_PRODUCT_VARIANTS'), 'option_name'); ?>
		<table id="attribute_options_table" class="adminlist table table-striped table-bordered j2store">
			<thead>
				<th><?php echo JText::_('J2STORE_VARIANT_OPTION');?></th>
				<th><?php echo JText::_('J2STORE_REMOVE'); ?> </th>
		</thead>
		<tbody>
		<?php if(isset($this->item->product_options ) && !empty($this->item->product_options)):?>
			<?php foreach($this->item->product_options as $poption ):?>
			<tr id="pao_current_option_<?php echo $poption->j2store_productoption_id;?>">
				<td>
					<?php echo $poption->option_name;?>
					<?php echo J2Html::hidden($this->form_prefix.'[item_options]['.$poption->j2store_productoption_id .'][j2store_productoption_id]', $poption->j2store_productoption_id);?>
					<?php echo J2Html::hidden($this->form_prefix.'[item_options]['.$poption->j2store_productoption_id .'][option_id]', $poption->option_id);?>
					<small>(<?php  echo $poption->option_unique_name;?>)</small>
					<small><?php JText::_('J2STORE_OPTION_TYPE');?><?php echo JText::_('J2STORE_'.JString::strtoupper($poption->type))?></small>
					<?php echo J2StorePopup::popup("index.php?option=com_j2store&view=products&task=setproductoptionvalues&product_id=".$this->item->j2store_product_id."&productoption_id=".$poption->j2store_productoption_id."&layout=productoptionvalues&tmpl=component", JText::_( "J2STORE_SET_VALUES" ), array());?>
				</td>
				<td>
					<span class="optionRemove" onClick="removePAOption(<?php echo $poption->j2store_productoption_id;?>)">X</span>
				</td>
			</tr>
			<?php endforeach;?>
			<?php endif;?>
			<tr class="j2store_a_options">
				<td colspan="3">
					<?php echo J2Html::label(JText::_('J2STORE_SEARCH_AND_ADD_VARIANT_OPTION')); ?>
					<?php echo J2Html::text('Selectoption' ,'',array('id'=>'optionselector'));?>
				</td>
			</tr>

		</tbody>

		</table>
		<div class="alert alert-block alert-info">
			<h4><?php echo JText::_('J2STORE_QUICK_HELP'); ?></h4>
			<?php echo JText::_('J2STORE_VARIANT_GENERATION_HELP_TEXT'); ?>
		</div>
			<?php if(isset($this->item->product_options) && !empty($this->item->product_options)):?>
				<?php if(isset($this->item->variants) && count($this->item->variants)):?>
				
				<!-- warning -->
				<?php 
					$product_model = F0FModel::getTmpInstance('Products', 'J2StoreModel');
					$traits = $product_model->getTraits($this->item->j2store_product_id, $this->item->product_options);
					$combinations = $product_model->getCombinations($traits);					
				?>
				<?php if(count($this->item->variants) != count($combinations)): ?>
					<div class="alert alert-block alert-danger">
						<h4><?php echo JText::_('J2STORE_WARNING')?></h4>
						<?php echo JText::_('J2STORE_VARIANT_COMBINATIONS_MISMATCH'); ?>
					</div>
				<?php endif; ?>

				<input type="button" id="j2store-regenerate-variants" onclick="regenerateVariants(this)" class="btn btn-large btn-success" value="<?php echo JText::_('J2STORE_REGENERATE_VARIANTS');	?>" />

				<input  type="button" id="j2store-delete-variants" onclick="deleteVariants(this)" class="btn btn-large btn-danger" value="<?php echo JText::_('J2STORE_DELETE_VARIANTS'); ?>"  />
				<!--
				 <button type="button" class="btn btn-default" data-toggle="modal" data-target="#j2storeRegenerateVariant">
  					<?php echo JText::_('J2STORE_REGENERATE_VARIANTS');	?>
				</button>
				<input  type="button" id="j2store-delete-variants" onclick="deleteVariants(this)" class="btn btn-large btn-danger" value="<?php echo JText::_('J2STORE_DELETE_VARIANTS'); ?>"  />

				<div class="modal fade hide" id="j2storeRegenerateVariant" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
				  <div class="modal-dialog">
				    <div class="modal-content">
				      <div class="modal-header">
				        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span></button>
				        <h4 class="modal-title" id="myModalLabel"><?php echo JText::_('J2STORE_WARNING');?></h4>
				      </div>
				      <div class="modal-body">
			      			<span class="ui-icon ui-icon-info"></span>
							<?php echo JText::_('J2STORE_PRODUCT_TYPE_CHANGE_WARNING_MSG');?>
				     </div>
				      <div class="modal-footer">
				        <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo JText::_('J2STORE_CLOSE');?></button>
				        <?php J2Html::text('product_id', $this->item->j2store_product_id ,array('id'=>'product_id'));?>
				        <button type="button"id="changeTypeBtn" class="btn btn-warning"><?php echo JText::_('J2STORE_CONTINUE');?></button>
				      </div>
				    </div>
				  </div>
				</div>
 				-->

			<?php else:?>
				<input type="button" id="j2store-generate-variants" onclick="generateVariants(this)" class="btn btn-large btn-success" value="<?php echo JText::_('J2STORE_GENERATE_VARIANTS'); ?>"/>
			<?php endif;?>
			<?php endif;?>
	</div>
	
	<!-- Variant block -->
	<?php if(isset($this->item->variants)): ?>
		<table class="table table-bordered table-striped">
		<thead>
			<th><?php echo JText::_('J2STORE_VARIANT_NAME'); ?></th>
			<th><?php echo JText::_('J2STORE_VARIANT_SKU'); ?></th>
			<th><?php echo JText::_('J2STORE_VARIANT_PRICE'); ?></th>
			<th><?php echo JText::_('J2STORE_PRODUCT_ENABLE_SHIPPING'); ?></th>
			<th><?php echo JText::_('J2STORE_CURRENT_STOCK'); ?></th>
			<th><?php echo JText::_('J2STORE_DEFAULT')?></th>
			<th><?php echo JText::_('J2STORE_EDIT')?></th>			
		</thead>
		<tbody>
			<?php
				$this->i = 0;
				$this->canChange = 1;
				foreach($this->item->variants as $variant): ?>
			<?php $this->variant = $variant; ?>
			<tr id="product-variant-<?php echo $this->variant->j2store_variant_id;?>">
				<?php echo $this->loadAnyTemplate('admin:com_j2store/product/variant'); ?>
			</tr>
			<?php $this->i++;?>
			<?php endforeach; ?>


		</tbody>
	</table>
	<?php endif; ?>

</div>

<script type="text/javascript">
(function($) {
		$(document).ready(function() {
			$('#optionselector').autocomplete({
				source : function(request, response) {
					$.ajax({
						type : 'post',
						url :  'index.php?option=com_j2store&view=options&task=getOptions&product_type=<?php echo $this->item->product_type;?>',
						data : 'q=' + request.term,
						dataType : 'json',
						success : function(data) {
							$('#optionselector').removeClass('optionsLoading');
							response($.map(data, function(item) {
								return {
									label: item.option_name+' ('+item.option_unique_name+')',
									value: item.j2store_option_id
								}
							}));
						}
					});
				},
				minLength : 2,
				select : function(event, ui) {
					$('<tr><td class=\"addedOption\">' + ui.item.label+ '</td><td><span class=\"optionRemove\" onclick=\"j2store.jQuery(this).parent().parent().remove();\">x</span><input type=\"hidden\" value=\"' + ui.item.value+ '\" name=\"<?php echo $this->form_prefix; ?>[item_options]['+ ui.item.value+'][option_id]\" /><input type=\"hidden\" value="" name=\"<?php echo $this->form_prefix; ?>[item_options]['+ ui.item.value+'][j2store_productoption_id]\" /></td></tr>').insertBefore('.j2store_a_options');
					this.value = '';
					return false;
				},
				search : function(event, ui) {
					$('#optionselector').addClass('optionsLoading');
				}
			});

		});
		})(j2store.jQuery);



function removePAOption(pao_id) {
	(function($) {
	$.ajax({
			type : 'post',
			url :  'index.php?option=com_j2store&view=products&task=removeProductOption&product_type=variable',
			data : 'pao_id=' + pao_id,
			dataType : 'json',
			success : function(data) {
				console.log(data);
				if(data.success) {
					$('#pao_current_option_'+pao_id).remove();
				}
				if(data.error){
					$("<p class='alert alert-warning'>"+data.error+"</p>").insertBefore("#attribute_options_table");
				}
			 }
		});
	})(j2store.jQuery);
}

function generateVariants(button) {
	(function($) {
		$(button).attr('disabled', true);
		$(button).val('<?php echo JText::_('J2STORE_GENERATING_VARIANTS')?>');

		var ajOptions = {
				type : 'post',
				url :  'index.php?option=com_j2store&view=products&task=generateVariants',
				cache: false,
				dataType : 'json',
				data:{product_id : <?php echo $this->item->j2store_product_id; ?>}
			}

		$.ajax(ajOptions)
			.done( function(response) {
				//if(response['redirect'])
					location.reload(true);
					location.reload();
				//}//

		});
	})(j2store.jQuery);
}



function regenerateVariants(button){
	(function($) {
		$(button).attr('disabled', true);
		$(button).attr('value','<?php echo JText::_('J2STORE_REGENERATING_VARIANTS')?>');
		var ajOptions = {
				type : 'post',
				url :  'index.php?option=com_j2store&view=products&task=regenerateVariants',
				cache: false,
				dataType : 'json',
				data:{product_id : <?php echo $this->item->j2store_product_id; ?>}
			}
		$.ajax(ajOptions)
			.success( function(json) {
					location.reload(true);
		});
	})(j2store.jQuery);
}



function deleteVariants(button){
	(function($) {
		$(button).attr('disabled', true);
		$(button).attr('value','<?php echo JText::_('J2STORE_DELETE_VARIANTS_CONTINUE')?>');
		var ajOptions = {
				type : 'post',
				url :  'index.php?option=com_j2store&view=products&task=deleteAllVariants',
				cache: false,
				dataType : 'json',
				data:{product_id : <?php echo $this->item->j2store_product_id; ?>}
			}
		$.ajax(ajOptions)
			.done( function(response) {
					location.reload(true);
		});
	})(j2store.jQuery);
}
</script>
